The Laravel Cloud API and CLI are here. Build pipelines, manage environments, and hand off to AI agents. View the docs →
curl --request GET \
--url https://cloud.laravel.com/api/databases/clusters/{database} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "<string>",
"type": "databases",
"attributes": {
"name": "<string>",
"type": "laravel_mysql_84",
"status": "creating",
"region": "us-east-2",
"created_at": "2023-11-07T05:31:56Z",
"config": {
"cu_min": 0.25,
"cu_max": 0.25,
"suspend_seconds": 123,
"retention_days": 123
},
"connection": {
"hostname": "<string>",
"port": 3306,
"protocol": "mysql",
"driver": "mysql",
"username": "<string>",
"password": "<string>"
}
},
"relationships": {
"schemas": {
"data": [
{
"type": "databaseSchemas",
"id": "<string>"
}
]
},
"databases": {
"data": [
{
"type": "databaseSchemas",
"id": "<string>"
}
]
}
}
},
"included": [
{
"id": "<string>",
"type": "databaseSchemas",
"attributes": {
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z"
},
"relationships": {
"database": {
"data": {
"type": "databases",
"id": "<string>"
}
},
"environments": {
"data": [
{
"type": "environments",
"id": "<string>"
}
]
}
}
}
]
}Get a specific database cluster. The schemas relationship is deprecated.
curl --request GET \
--url https://cloud.laravel.com/api/databases/clusters/{database} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "<string>",
"type": "databases",
"attributes": {
"name": "<string>",
"type": "laravel_mysql_84",
"status": "creating",
"region": "us-east-2",
"created_at": "2023-11-07T05:31:56Z",
"config": {
"cu_min": 0.25,
"cu_max": 0.25,
"suspend_seconds": 123,
"retention_days": 123
},
"connection": {
"hostname": "<string>",
"port": 3306,
"protocol": "mysql",
"driver": "mysql",
"username": "<string>",
"password": "<string>"
}
},
"relationships": {
"schemas": {
"data": [
{
"type": "databaseSchemas",
"id": "<string>"
}
]
},
"databases": {
"data": [
{
"type": "databaseSchemas",
"id": "<string>"
}
]
}
}
},
"included": [
{
"id": "<string>",
"type": "databaseSchemas",
"attributes": {
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z"
},
"relationships": {
"database": {
"data": {
"type": "databases",
"id": "<string>"
}
},
"environments": {
"data": [
{
"type": "environments",
"id": "<string>"
}
]
}
}
}
]
}Documentation Index
Fetch the complete documentation index at: https://cloud.laravel.com/docs/llms.txt
Use this file to discover all available pages before exploring further.
The Bearer Token generated on the Cloud UI.
The database identifier
Available includes are schemas, databases. You can include multiple options by separating them with a comma.
Was this page helpful?